ghc-7.0.4: The GHC API

CmmTx

# Documentation

data ChangeFlag Source

Constructors

NoChange |
SomeChange |

type Tx a = a -> TxRes aSource

data TxRes a Source

Constructors

TxRes ChangeFlag a |

Instances

Monad TxRes |
Functor TxRes |

seqTx :: Tx a -> Tx a -> Tx aSource

iterateTx :: Tx a -> Tx aSource

runTx :: Tx a -> a -> aSource

aTx :: a -> TxRes aSource

noTx :: a -> TxRes aSource

replaceTx :: a -> TxRes b -> TxRes aSource

txVal :: TxRes a -> aSource

txHasChanged :: TxRes a -> Bool Source

plusTx :: (a -> b -> c) -> TxRes a -> TxRes b -> TxRes cSource

mapTx :: Tx a -> Tx [a]Source

orChange :: ChangeFlag -> ChangeFlag -> ChangeFlag Source